tigase.server.xmppserver

## Class ServerConnections

- java.lang.Object
- - tigase.server.xmppserver.ServerConnections

- Deprecated.
  was replaced by `S2SConnectionManager`, will be removed in 7.2.0

      @Deprecated
      public class ServerConnections
      extends Object

  Describe class ServerConnections here. Created: Wed Jun 11 14:26:53 2008
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ServerConnections.OutgoingState` Deprecated. Enum description

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerConnections(ConnectionHandlerIfc<XMPPIOService<Object>> handler, CID cid)` Deprecated. Creates a new `ServerConnections` instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addControlPacket(Packet packet)` Deprecated. Method description
    `void` | `addDataPacket(Packet packet)` Deprecated. Method description
    `void` | `addOutgoing(XMPPIOService<Object> serv)` Deprecated. Method description
    `CID` | `getCID()` Deprecated. Method description
    `String` | `getDBKey(String sessionId)` Deprecated. Method description
    `int` | `getDBKeysSize()` Deprecated. Method description
    `ServerConnections.OutgoingState` | `getOutgoingState()` Deprecated. Method description
    `Queue<Packet>` | `getWaitingPackets()` Deprecated. Method description
    `void` | `handleDialbackFailure()` Deprecated. Method description
    `boolean` | `handleDialbackSuccess()` Deprecated. Method description
    `boolean` | `isOutgoing(XMPPIOService<Object> serv)` Deprecated. Method description
    `boolean` | `isOutgoingConnected()` Deprecated. Method description
    `boolean` | `needsConnection()` Deprecated. Method description
    `boolean` | `outgoingIsNull()` Deprecated. Method description
    `void` | `putDBKey(String sessionId, String dbKey)` Deprecated. Method description
    `boolean` | `sendAllControlPackets()` Deprecated. Method description
    `boolean` | `sendControlPacket(Packet packet)` Deprecated. Method description
    `boolean` | `sendPacket(Packet packet)` Deprecated. Describe `sendPacket` method here.
    `void` | `serviceStopped(XMPPIOService<Object> serv)` Deprecated. Method description
    `void` | `setConnecting()` Deprecated. Method description
    `void` | `setValid()` Deprecated. Method description
    `void` | `stopAll()` Deprecated. Method description
    `String` | `toString()` Deprecated.
    `long` | `waitingTime()` Deprecated. Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerConnections

          public ServerConnections(ConnectionHandlerIfc<XMPPIOService<Object>> handler,
                                   CID cid)

      Deprecated.
      Creates a new `ServerConnections` instance.
      Parameters:
        `handler` -
        `cid` -

  - ### Method Detail

    - #### addControlPacket

          public void addControlPacket(Packet packet)

      Deprecated.
      Method description
      Parameters:
        `packet` -

    - #### addDataPacket

          public void addDataPacket(Packet packet)

      Deprecated.
      Method description
      Parameters:
        `packet` -

    - #### addOutgoing

          public void addOutgoing(XMPPIOService<Object> serv)

      Deprecated.
      Method description
      Parameters:
        `serv` -

    - #### getCID

          public CID getCID()

      Deprecated.
      Method description

    - #### getDBKey

          public String getDBKey(String sessionId)

      Deprecated.
      Method description
      Parameters:
        `sessionId` -

    - #### getDBKeysSize

          public int getDBKeysSize()

      Deprecated.
      Method description

    - #### getOutgoingState

          public ServerConnections.OutgoingState getOutgoingState()

      Deprecated.
      Method description

    - #### getWaitingPackets

          public Queue<Packet> getWaitingPackets()

      Deprecated.
      Method description

    - #### handleDialbackFailure

          public void handleDialbackFailure()

      Deprecated.
      Method description

    - #### handleDialbackSuccess

          public boolean handleDialbackSuccess()

      Deprecated.
      Method description

    - #### isOutgoing

          public boolean isOutgoing(XMPPIOService<Object> serv)

      Deprecated.
      Method description
      Parameters:
        `serv` -

    - #### isOutgoingConnected

          public boolean isOutgoingConnected()

      Deprecated.
      Method description

    - #### needsConnection

          public boolean needsConnection()

      Deprecated.
      Method description

    - #### outgoingIsNull

          public boolean outgoingIsNull()

      Deprecated.
      Method description

    - #### putDBKey

          public void putDBKey(String sessionId,
                               String dbKey)

      Deprecated.
      Method description
      Parameters:
        `sessionId` -
        `dbKey` -

    - #### sendAllControlPackets

          public boolean sendAllControlPackets()

      Deprecated.
      Method description

    - #### sendControlPacket

          public boolean sendControlPacket(Packet packet)

      Deprecated.
      Method description
      Parameters:
        `packet` -

    - #### sendPacket

          public boolean sendPacket(Packet packet)

      Deprecated.
      Describe `sendPacket` method here.
      Parameters:
        `packet` - a `Packet` value
      Returns:
        a `boolean` value

    - #### serviceStopped

          public void serviceStopped(XMPPIOService<Object> serv)

      Deprecated.
      Method description
      Parameters:
        `serv` -

    - #### setConnecting

          public void setConnecting()

      Deprecated.
      Method description

    - #### setValid

          public void setValid()

      Deprecated.
      Method description

    - #### stopAll

          public void stopAll()

      Deprecated.
      Method description

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Object`

    - #### waitingTime

          public long waitingTime()

      Deprecated.
      Method description

Copyright © 2022 "Tigase, Inc.". All rights reserved.